Introduction
------------

* What is Yii
* Upgrading from Version 1.1


Getting Started
---------------

* Overview
* Starting with Basic App
* Starting with Advanced App
* Starting from Scratch
* What's Next


Fundamentals
------------

* Properties, Events and Behaviors
* Class Autoloading
* Object Configurations
* Path Aliases
* Request Lifecyle
* Entry Scripts
* Applications
* Controllers and Actions
* Views
* Models
* Requests
* Responses
* Filters
* Widgets
* Modules
* Extensions


Working with Database
---------------------

* Basics - Connecting to a database, basic queries, transactions and schema manipulation
* Query Builder - Querying the database using a simple abstraction layer
* ActiveRecord - The active record ORM, retrieving and manipulating records and defining relations
* Working with Redis
* Working with MongoDB
* Working with ElasticSearch
* Working with Sphinx


Special Topics
--------------

* Asset Management
* Authentication
* Authorization
* Building RESTful Web Services
* Caching
* Console Commands
* Creating Extensions
* Data Formatting
* Debug Toolbar and Debugger
* Error Handling
* File Upload
* Generating Code using Gii
* Generating API Documentation
* Input Validation
* Internationalization
* Logging
* Mailing
* Pagination and Sorting
* Performance Tuning
* Routing and URL Management
* Security
* Service Locator and Dependency Injection
* Testing
* Theming
* Using Auth Clients
* Using Template Engines
* Working with 3rd-Party Code
* Working with Cookies
* Working with HTML Forms
* Working with Sessions


Widgets
-------

* Overview
* GridView: link to demo page
* ListView: link to demo page
* DetailView: link to demo page
* ActiveForm: link to demo page
* ...other widgets...


Helpers
-------

* Overview
* Html: code snippets organized by practical use cases
* Url
* ...other helpers...
